Apache Tomcat 7.0.42

## org.apache.catalina.util
Class Base64

    java.lang.Object
      org.apache.catalina.util.Base64

Deprecated. Use `Base64` This class will be removed in Tomcat 8.

    @Deprecated
    public final class Base64

extends Object

This class provides encode/decode for RFC 2045 Base64 as defined by RFC 2045, N. Freed and N. Borenstein. RFC 2045: Multipurpose Internet Mail Extensions (MIME) Part One: Format of Internet Message Bodies. Reference 1996

Version:
  $Id: Base64.java 1459346 2013-03-21 15:05:54Z markt $
Author:
  Jeffrey Rodriguez

Constructor Summary
`Base64()` Deprecated.

Method Summary
`static void` `decode(ByteChunk base64DataBC, ByteChunk decodedDataBC)` Deprecated. Decodes Base64 data into octets
`static void` `decode(ByteChunk base64DataBC, CharChunk decodedDataCC)` Deprecated. Decodes Base64 data into octets
`static String` `encode(byte[] binaryData)` Deprecated. Use `DatatypeConverter.printBase64Binary(byte[])`. This method will be removed in Tomcat 8.0.x.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Base64

    public Base64()

  Deprecated.

Method Detail

### encode

    @Deprecated
    public static String encode(byte[] binaryData)

  Deprecated. Use `DatatypeConverter.printBase64Binary(byte[])`. This method will be removed in Tomcat 8.0.x.

  Encodes hex octets into Base64.

  Parameters:
    `binaryData` - Array containing binary data to encode.
  Returns:
    Base64-encoded data.

### decode

    public static void decode(ByteChunk base64DataBC,
                              CharChunk decodedDataCC)

  Deprecated.
  Decodes Base64 data into octets

  Parameters:
    `base64DataBC` - Byte array containing Base64 data
    `decodedDataCC` - The decoded data chars

### decode

    public static void decode(ByteChunk base64DataBC,
                              ByteChunk decodedDataBC)

  Deprecated.
  Decodes Base64 data into octets

  Parameters:
    `base64DataBC` - Byte array containing Base64 data
    `decodedDataBC` - The decoded data bytes

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.